Create a vehicle
curl --request POST \
--url https://api.lynkwell.com/identity/v2/vehicles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network": "<string>",
"make": "<string>",
"model": "<string>",
"year": 2000,
"vin": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.lynkwell.com/identity/v2/vehicles"
payload = {
"network": "<string>",
"make": "<string>",
"model": "<string>",
"year": 2000,
"vin": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network: '<string>',
make: '<string>',
model: '<string>',
year: 2000,
vin: '<string>',
name: '<string>'
})
};
fetch('https://api.lynkwell.com/identity/v2/vehicles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lynkwell.com/identity/v2/vehicles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'network' => '<string>',
'make' => '<string>',
'model' => '<string>',
'year' => 2000,
'vin' => '<string>',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lynkwell.com/identity/v2/vehicles"
payload := strings.NewReader("{\n \"network\": \"<string>\",\n \"make\": \"<string>\",\n \"model\": \"<string>\",\n \"year\": 2000,\n \"vin\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lynkwell.com/identity/v2/vehicles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"network\": \"<string>\",\n \"make\": \"<string>\",\n \"model\": \"<string>\",\n \"year\": 2000,\n \"vin\": \"<string>\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lynkwell.com/identity/v2/vehicles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"network\": \"<string>\",\n \"make\": \"<string>\",\n \"model\": \"<string>\",\n \"year\": 2000,\n \"vin\": \"<string>\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"network": "<string>",
"status": "ACTIVE",
"isArchived": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"make": "<string>",
"model": "<string>",
"year": 123,
"vin": "<string>",
"name": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z"
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Vehicle
Create a vehicle
Creates a vehicle and returns its auto-generated id. Vehicle creation is
decoupled from token creation: the vehicle holds no driver or token
reference — callers link a driver by creating a token with vehicleId.
The vehicle’s network comes from the access token’s network claim,
falling back to the network field in the body; missing both is a 400.
POST
/
identity
/
v2
/
vehicles
Create a vehicle
curl --request POST \
--url https://api.lynkwell.com/identity/v2/vehicles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network": "<string>",
"make": "<string>",
"model": "<string>",
"year": 2000,
"vin": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.lynkwell.com/identity/v2/vehicles"
payload = {
"network": "<string>",
"make": "<string>",
"model": "<string>",
"year": 2000,
"vin": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network: '<string>',
make: '<string>',
model: '<string>',
year: 2000,
vin: '<string>',
name: '<string>'
})
};
fetch('https://api.lynkwell.com/identity/v2/vehicles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lynkwell.com/identity/v2/vehicles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'network' => '<string>',
'make' => '<string>',
'model' => '<string>',
'year' => 2000,
'vin' => '<string>',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lynkwell.com/identity/v2/vehicles"
payload := strings.NewReader("{\n \"network\": \"<string>\",\n \"make\": \"<string>\",\n \"model\": \"<string>\",\n \"year\": 2000,\n \"vin\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lynkwell.com/identity/v2/vehicles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"network\": \"<string>\",\n \"make\": \"<string>\",\n \"model\": \"<string>\",\n \"year\": 2000,\n \"vin\": \"<string>\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lynkwell.com/identity/v2/vehicles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"network\": \"<string>\",\n \"make\": \"<string>\",\n \"model\": \"<string>\",\n \"year\": 2000,\n \"vin\": \"<string>\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"network": "<string>",
"status": "ACTIVE",
"isArchived": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"make": "<string>",
"model": "<string>",
"year": 123,
"vin": "<string>",
"name": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z"
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Authorizations
OAuth2 Client Credentials Flow
Body
application/json
The network the vehicle belongs to. Ignored when the access token carries a network claim (the claim wins); required when it does not.
Required string length:
1 - 50Required string length:
1 - 100Required string length:
1 - 100Required range:
1900 <= x <= 2100Raw VIN. Must be unique among non-archived vehicles.
Required string length:
1 - 17Driver-facing display name.
Required string length:
1 - 100Response
The vehicle has been created.
Show child attributes
Show child attributes